<?php

//die('kiri');

//var_dump($_GET);
//var_dump($_POST);

//if(isset($_GET['settings-updated'])) {
//   echo '<div class="updated">
//    <br/>
//    <p>' . __('Success! Values have been saved.') . '</p>
//  </div>';
//}

?>




<div class="wrap">

    <?php if(isset($_GET['settings-updated'])) { ?>
    <div id="message" class="updated notice notice-success is-dismissible">
        <p><?php echo __('Success! Values have been saved.'); ?></p>
        <button type="button" class="notice-dismiss">
            <span class="screen-reader-text">Ignorer cette notification.</span>
        </button>
    </div>
    <?php } ?>

    <div class="postbox">
        <div class="inside">
            <img src="<?php echo esc_url( plugins_url( '../images/logo.png', __FILE__ )); ?>" alt="logo Avis-Authentiques" style="float: left; margin-right: 20px">
            <span style="font-size: 24px; font-weight: bold; padding-top: 10px; display: inline-block;">AVIS-AUTHENTIQUES</span>
        </div>
    </div>

    <div class="postbox">
        <div class="inside">
            <form method="post" action="options.php">

                <?php settings_fields( 'avis-authentiques-settings' ); ?>
                <?php do_settings_sections( 'avis-authentiques-settings' ); ?>

                <h3 class="title"><?php _e( 'Paramètrages', 'avis-authentiques' ); ?></h3>

                <p>
                    <label for="avis_authentiques_api_key" style="display: inline-block; width: 200px"><?php _e( 'Clé d\'API', 'avis-authentiques' ); ?></label>
                    <input class="regular-text ltr"
                           type="text"
                           name="avis_authentiques_api_key"
                           required
                           value="<?php echo get_option( 'avis_authentiques_api_key' ); ?>"
                    />
                    <span class="description" style="display: block; margin-left: 205px">Retrouvez votre clé d'API sur le tableau de bord de votre espace professionnel</span>
                </p>

                <p>
                    <label for="avis_authentiques_api_key" style="display: inline-block; width: 200px"><?php _e( 'Clé Widget', 'avis-authentiques' ); ?></label>
                    <input class="regular-text ltr"
                           type="text"
                           name="avis_authentiques_widget_key"
                           required
                           value="<?php echo get_option( 'avis_authentiques_widget_key' ); ?>"
                    />
                    <span class="description" style="display: block; margin-left: 205px">Retrouvez votre clé widget sur le tableau de bord de votre espace professionnel</span>
                </p>

                <p>
                    <label for="avis_authentiques_position" style="display: inline-block; width: 200px"><?php _e( 'Position', 'avis-authentiques' ); ?></label>
                    <select name="avis_authentiques_position" class="regular-text">
                        <option value="middle" <?php if (get_option('avis_authentiques_position') === 'middle') echo 'selected'; ?>>Milieu</option>
                        <option value="top" <?php if (get_option('avis_authentiques_position') === 'top') echo 'selected'; ?>>Haut</option>
                        <option value="bottom" <?php if (get_option('avis_authentiques_position') === 'bottom') echo 'selected'; ?>>Bas</option>
                    </select>
                </p>

                <?php submit_button() ?>
                </p>
            </form>
        </div>

    </div>
</div>

